package controller

import (
	"context"
	"github.com/gogf/gf/v2/frame/g"
	"nodeMonitor/api/v1"
	"nodeMonitor/internal/service"
	"time"
)

var (
	Hello = cHello{}
)

type cHello struct{}

func (c *cHello) Hello(ctx context.Context, req *v1.HelloReq) (res *v1.HelloRes, err error) {

	//t1 := time.Now()

	//Format("2006-01-02 15:04")
	g.RequestFromCtx(ctx).Response.Writeln(time.Now())

	status, err := service.Ping().GetStatus(ctx, "kdvkr-04.xyz")
	if err != nil {
		return res, err
	}
	g.RequestFromCtx(ctx).Response.Writeln(status)
	return
}
