package router

import (
	"github.com/gogf/gf/v2/net/ghttp"
	"nodeMonitor/internal/controller"
)

func BindController(group *ghttp.RouterGroup) {
	group.Group("/api/v1", func(group *ghttp.RouterGroup) {
		group.Middleware(ghttp.MiddlewareHandlerResponse)
		//group.Middleware(middleware.Middleware().CORS)
		NodeRouter(group)
		DomeRouter(group)
	})

}

func NodeRouter(group *ghttp.RouterGroup) {
	group.Group("/node", func(group *ghttp.RouterGroup) {
		group.Bind(
			controller.Node,
		)
	})
}

func DomeRouter(group *ghttp.RouterGroup) {
	group.Group("/hello", func(group *ghttp.RouterGroup) {
		group.Bind(
			controller.Hello,
		)
	})
}
