/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 50734
 Source Host           : localhost:3306
 Source Schema         : nodeMonitor

 Target Server Type    : MySQL
 Target Server Version : 50734
 File Encoding         : 65001

 Date: 03/11/2022 16:23:13
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for node
-- ----------------------------
DROP TABLE IF EXISTS `node`;
CREATE TABLE `node` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID主键自动添加',
  `name` varchar(128) NOT NULL COMMENT '服务器名称',
  `host` varchar(20) NOT NULL COMMENT '服务器IP',
  `port` int(11) NOT NULL COMMENT '服务器端口',
  `url` text NOT NULL COMMENT '服务器切换地址',
  `update_at` datetime DEFAULT NULL COMMENT '更新时间',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `ping_type` int(11) NOT NULL DEFAULT '0' COMMENT '服务器延迟类型 0 icmp 1 tcp',
  `url_status` int(11) DEFAULT NULL COMMENT '用于表示url是否执行完成',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for pinglog
-- ----------------------------
DROP TABLE IF EXISTS `pinglog`;
CREATE TABLE `pinglog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `maxdelay` varchar(64) DEFAULT NULL COMMENT '最大延迟',
  `mindelay` varchar(64) DEFAULT NULL COMMENT '最小延迟',
  `avgdelay` varchar(64) DEFAULT NULL COMMENT '平均延迟',
  `losspk` varchar(64) DEFAULT NULL COMMENT '丢包率',
  `update_at` datetime DEFAULT NULL COMMENT '更新时间',
  `create_at` datetime DEFAULT NULL COMMENT '创建时间',
  `host` varchar(128) DEFAULT NULL COMMENT '服务器IP',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=104 DEFAULT CHARSET=utf8mb4;

SET FOREIGN_KEY_CHECKS = 1;
